import PositionType from './PositionType';
import Topic from './Topic';
declare class CentralTopic extends Topic {
    buildDragShape(): void;
    registerEvents(): void;
    workoutIncomingConnectionPoint(): PositionType;
    setCursor(type: string): void;
    updateTopicShape(): boolean;
    updatePositionOnChangeSize(): void;
    getShrinkConnector(): null;
    workoutOutgoingConnectionPoint(targetPosition: PositionType): PositionType;
}
export default CentralTopic;
